Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.rule
Class NotifyViewsEvent

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.rule.Rule
              org.ascape.model.rule.Propogate
                  org.ascape.model.rule.PropogateScapeOnly
                      org.ascape.model.rule.NotifyViewsEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HasName, RandomFunctions

    public class NotifyViewsEvent

extends PropogateScapeOnly

The Class NotifyViewsEvent.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`NotifyViewsEvent(ScapeEvent event)` Instantiates a new notify views event.

Method Summary
`void` | `execute(Agent agent)` Notify all views of state update.

Methods inherited from class org.ascape.model.rule.PropogateScapeOnly
`isScapeOnly`

Methods inherited from class org.ascape.model.rule.Propogate
`isRandomExecution`

Methods inherited from class org.ascape.model.rule.Rule
`getScape, isCauseRemoval, isIterateAll, setScape`

Methods inherited from class org.ascape.model.AscapeObject
`clone, diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getName, getRandom, getRandomSeed, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotifyViewsEvent

    public NotifyViewsEvent(ScapeEvent event)

  Instantiates a new notify views event.

  Parameters:
    `event` - the event

Method Detail

### execute

    public void execute(Agent agent)

  Notify all views of state update.

  Overrides:
    `execute` in class `Propogate`
  Parameters:
    `agent` - the agent (scape) to notify veiws
  See Also:
    `Scape.notifyViews(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD